| OpenCV 3.4.7 Open Source Computer Vision

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::videostab::OnePassStabilizer Class Reference
Video Stabilization

`#include <opencv2/videostab/stabilizer.hpp>`

Inheritance diagram for cv::videostab::OnePassStabilizer:

## Public Member Functions
| OnePassStabilizer ()
Ptr< MotionFilterBase > | motionFilter () const
virtual Mat | nextFrame () CV_OVERRIDE
virtual void | reset () CV_OVERRIDE
void | setMotionFilter (Ptr< MotionFilterBase > val)
Public Member Functions inherited from cv::videostab::StabilizerBase
virtual | ~StabilizerBase ()
int | borderMode () const
Ptr< DeblurerBase > | deblurrer () const
bool | doCorrectionForInclusion () const
Ptr< IFrameSource > | frameSource () const
Ptr< InpainterBase > | inpainter () const
Ptr< ILog > | log () const
Ptr< ImageMotionEstimatorBase > | motionEstimator () const
int | radius () const
void | setBorderMode (int val)
void | setCorrectionForInclusion (bool val)
void | setDeblurer (Ptr< DeblurerBase > val)
void | setFrameSource (Ptr< IFrameSource > val)
void | setInpainter (Ptr< InpainterBase > val)
void | setLog (Ptr< ILog > ilog)
void | setMotionEstimator (Ptr< ImageMotionEstimatorBase > val)
void | setRadius (int val)
void | setTrimRatio (float val)
float | trimRatio () const
Public Member Functions inherited from cv::videostab::IFrameSource
virtual | ~IFrameSource ()

## Protected Member Functions
virtual Mat | estimateMotion () CV_OVERRIDE
virtual Mat | estimateStabilizationMotion () CV_OVERRIDE
virtual Mat | postProcessFrame (const Mat &frame) CV_OVERRIDE
virtual void | setUp (const Mat &firstFrame) CV_OVERRIDE
Protected Member Functions inherited from cv::videostab::StabilizerBase
| StabilizerBase ()
bool | doOneIteration ()
void | logProcessingTime ()
Mat | nextStabilizedFrame ()
void | reset ()
void | stabilizeFrame ()

## Protected Attributes
Ptr< MotionFilterBase > | motionFilter_
Protected Attributes inherited from cv::videostab::StabilizerBase
std::vector< float > | blurrinessRates_
int | borderMode_
int | curPos_
int | curStabilizedPos_
Ptr< DeblurerBase > | deblurer_
bool | doCorrectionForInclusion_
bool | doDeblurring_
bool | doInpainting_
Mat | finalFrame_
Mat | frameMask_
std::vector< Mat > | frames_
Size | frameSize_
Ptr< IFrameSource > | frameSource_
Ptr< InpainterBase > | inpainter_
Mat | inpaintingMask_
Ptr< ILog > | log_
Ptr< ImageMotionEstimatorBase > | motionEstimator_
std::vector< Mat > | motions_
Mat | preProcessedFrame_
clock_t | processingStartTime_
int | radius_
std::vector< Mat > | stabilizationMotions_
std::vector< Mat > | stabilizedFrames_
std::vector< Mat > | stabilizedMasks_
float | trimRatio_

## Constructor & Destructor Documentation

## § OnePassStabilizer()

cv::videostab::OnePassStabilizer::OnePassStabilizer | ( |  | ) |

## Member Function Documentation

## § estimateMotion()

virtual Mat cv::videostab::OnePassStabilizer::estimateMotion | ( |  | ) |
| protected virtual

Implements cv::videostab::StabilizerBase.

## § estimateStabilizationMotion()

virtual Mat cv::videostab::OnePassStabilizer::estimateStabilizationMotion | ( |  | ) |
| protected virtual

Implements cv::videostab::StabilizerBase.

## § motionFilter()

Ptr<MotionFilterBase> cv::videostab::OnePassStabilizer::motionFilter | ( |  | ) | const
| inline

## § nextFrame()

virtual Mat cv::videostab::OnePassStabilizer::nextFrame | ( |  | ) |
| inline virtual

Implements cv::videostab::IFrameSource.

## § postProcessFrame()

virtual Mat cv::videostab::OnePassStabilizer::postProcessFrame | ( | const Mat & | frame | ) |
| protected virtual

Reimplemented from cv::videostab::StabilizerBase.

## § reset()

virtual void cv::videostab::OnePassStabilizer::reset | ( |  | ) |
| virtual

Implements cv::videostab::IFrameSource.

## § setMotionFilter()

void cv::videostab::OnePassStabilizer::setMotionFilter | ( | Ptr< MotionFilterBase > | val | ) |
| inline

## § setUp()

virtual void cv::videostab::OnePassStabilizer::setUp | ( | const Mat & | firstFrame | ) |
| protected virtual

Reimplemented from cv::videostab::StabilizerBase.

## Member Data Documentation

## § motionFilter_

Ptr<MotionFilterBase> cv::videostab::OnePassStabilizer::motionFilter_
| protected

The documentation for this class was generated from the following file:

- opencv2/videostab/stabilizer.hpp